<div id="body" class="container-fluid">
  <h6 class="mb-3">Sales Support WorkGroup</h6>
  <h6 class="text-danger" *ngIf="locked">{{ lblError }}</h6>
  <form [formGroup]="form" novalidate>
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-3">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>General</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-6">Selected M5 #: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="selectedM5" [value]="hfSelectedFTN" [readonly]="true">
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col-24 col-lg-3">Notes: </label>
            <div class="col-24 col-lg-21 pl-0 pl-lg-3">
              <textarea rows="5" class="form-control form-control-sm" formControlName="notes" maxlength="255" [(ngModel)]="notes"></textarea>
              <small class="form-text text-muted">{{ notes.length > 255 ? 0 : (255 - notes.length) | number }} character(s) left!</small>
            </div>
          </div>
        </div>

        <div class="form-row text mt-2">
          <div *ngIf="isBPARequired" class="form-group form-group-sm col-12 col-md-4 col-lg-3">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnBPAComplete_Click()" [disabled]="locked">
              BPA Complete &amp; Close
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnRTS_Click()" [disabled]="locked">
              RTS Complete
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnSave_Click()" [disabled]="locked">
              Add Note
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="btnClose_Click()">
              Close Order
            </button>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>

    <!--Additional Cost - Originating -->
    <div *ngIf="ACR">
      <app-additional-costs [parent]="this" [group]="form.controls.additionalCosts" [locked]="locked" [viewType]="viewType" [isTerminatingVendor]="false"></app-additional-costs>
    </div>

    <!--Additional Cost - Terminating -->
    <div *ngIf="ACRTerminating">
      <app-additional-costs [parent]="this" [group]="form.controls.additionalCosts" [locked]="locked" [viewType]="viewType" [isTerminatingVendor]="true"></app-additional-costs>
    </div>

    <!--M5 # Details-->
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-2">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>M5 # Details</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <dx-data-grid [dataSource]="m5DetailList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

          <dxi-column dataField="ftn" caption="M5 #" dataType="string" cellTemplate="m5LinkTemplate"></dxi-column>
          <dxi-column dataField="custNme" caption="Customer Name" dataType="string"></dxi-column>
          <dxi-column dataField="ordrTypeDes" caption="Order Type" dataType="string"></dxi-column>
          <dxi-column dataField="ordrSubTypeDes" caption="Order Sub Type" dataType="string"></dxi-column>
          <dxi-column dataField="prodTypeDes" caption="Product Type" dataType="string"></dxi-column>
          <dxi-column dataField="ordrStusDes" caption="Order Status" dataType="string"></dxi-column>
          <dxi-column dataField="pendingTasks" caption="Pending Tasks" dataType="string"></dxi-column>
          <div *dxTemplate="let cell of 'm5LinkTemplate'">
            <a href="#" (click)="onM5Clicked($event, cell.data)">{{ cell.text }}</a>
          </div>
        </dx-data-grid>
        <br />
        <div *ngIf="fsaDetails.isShown">
          <app-m5-details [parent]="this"></app-m5-details>
        </div>
      </mat-expansion-panel>
    </mat-accordion>

    <!--CCD History-->
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-3">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>CCD History</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <dx-data-grid class="mb-3" [dataSource]="ccdList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

          <dxi-column dataField="ccdOld" caption="Old CCD" dataType="datetime" cellTemplate="oldCcdDtTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'oldCcdDtTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
          </div>
          <dxi-column dataField="ccdNew" caption="New CCD" dataType="datetime" cellTemplate="newCcdDtTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'newCcdDtTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
          </div>
          <!--<dxi-column dataField="vndrSent" caption="Sent to Vendor" dataType="datetime" cellTemplate="sentToVndrDtTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'sentToVndrDtTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
          </div>
          <dxi-column dataField="vndrAck" caption="ACK by Vendor" dataType="datetime" cellTemplate="ackByVndrDtTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'ackByVndrDtTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
          </div>-->
          <dxi-column dataField="reasonPipeSV" caption="Reasons" dataType="string"></dxi-column>
          <dxi-column dataField="note" caption="Note" dataType="string"></dxi-column>
          <dxi-column dataField="createdByDspNme" caption="Changed By" dataType="string"></dxi-column>
          <dxi-column dataField="createdDateTime" caption="Change Date" dataType="datetime" cellTemplate="creatDtTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'creatDtTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy hh:mm aa' }}</span>
          </div>
        </dx-data-grid>
      </mat-expansion-panel>
    </mat-accordion>

    <!--Notes-->
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-3">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>M5 # Notes</h6><br /><div class="form-group form-group-sm row col-24 col-lg-12"><label>{{noteInfo}}</label></div></mat-panel-title>
        </mat-expansion-panel-header>
        <dx-data-grid class="mb-3" [dataSource]="noteList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>
          <dxo-paging [pageSize]="10"></dxo-paging>

          <dxi-column dataField="nteTypeDes" caption="Note Type" dataType="string"></dxi-column>
          <dxi-column dataField="nteTxt" caption="Note" dataType="string"></dxi-column>
          <dxi-column dataField="creatByUserFullName" caption="Created By" dataType="string"></dxi-column>
          <dxi-column dataField="creatDt" caption="Created Date" dataType="datetime" cellTemplate="dateTimeTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'dateTimeTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
            <span class="d-block">{{ cell.text | date: 'hh:mm aa' }}</span>
          </div>
        </dx-data-grid>
      </mat-expansion-panel>
    </mat-accordion>
  </form>
</div>

